Към съдържанието

Site pages

Additional pages on a site

The site page object

Attributes

iduuid

Unique identifier

site_iduuid
sites.id

Identifier of the site this page is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

custom_htmltext

Custom HTML added to the page

descriptionMultiLanguageString

Localized description of the page

nodeSiteNode

Content of the page, as a tree of nodes

slugMultiLanguageString

Localized slug of the page

statusPageStatus

Publication status of the page

titleMultiLanguageString

Localized title of the page

Related resources

Embed related resources in the response with the select parameter, for example select=*,sites!site_id(*). Resources related through more than one column need the column as a hint, like table!column(*).

sites!site_id(*)object | null
sites

The site referenced by site_id.

site_nav_items(*)array
site_nav_items

The site nav items referencing this site page through site_nav_items.site_page_id.

The site page object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.051Z",
  "updated_at": "2026-10-30T22:27:57.051Z",
  "custom_html": "",
  "description": {},
  "node": {},
  "slug": {},
  "status": "draft",
  "title": {}
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/site_pages?limit=10&select=*,sites!site_id(*),site_nav_items(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List site pages

Filters

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>

Custom HTML added to the page

descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>

Content of the page, as a tree of nodes

slugFilter<MultiLanguageString>

Localized slug of the page

statusFilter<PageStatus>

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Responses

200

A list of site pages with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /site_pages
curl -X GET "https://api.bookingmood.com/v1/site_pages?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "custom_html": "",
    "description": {},
    "node": {},
    "slug": {},
    "status": "draft",
    "title": {}
  }
]

Create site pages

Body

Partial<SitePage> | Array<Partial<SitePage>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created site pages with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /site_pages
curl -X POST "https://api.bookingmood.com/v1/site_pages" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "custom_html": "",
    "description": {},
    "node": {},
    "site_id": "00000000-0000-0000-0000-000000000000",
    "slug": {},
    "status": "draft",
    "title": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "custom_html": "",
    "description": {},
    "node": {},
    "slug": {},
    "status": "draft",
    "title": {}
  }
]

Delete site pages

Filters

Without filters, this request deletes all site pages you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>

Custom HTML added to the page

descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>

Content of the page, as a tree of nodes

slugFilter<MultiLanguageString>

Localized slug of the page

statusFilter<PageStatus>

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Responses

200

The deleted site pages with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /site_pages
curl -X DELETE "https://api.bookingmood.com/v1/site_pages?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "custom_html": "",
    "description": {},
    "node": {},
    "slug": {},
    "status": "draft",
    "title": {}
  }
]

Update site pages

Filters

Without filters, this request updates all site pages you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>

Custom HTML added to the page

descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>

Content of the page, as a tree of nodes

slugFilter<MultiLanguageString>

Localized slug of the page

statusFilter<PageStatus>

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Body

Partial<SitePage>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated site pages with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /site_pages
curl -X PATCH "https://api.bookingmood.com/v1/site_pages?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "custom_html": ""
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "site_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "custom_html": "",
    "description": {},
    "node": {},
    "slug": {},
    "status": "draft",
    "title": {}
  }
]

Поемете контрол над резервациите си. Изградете свой собствен бизнес.

Присъединете се към 1200+ независими фирми за отдаване под наем на ваканционни имоти, които използват Bookingmood, за да увеличат броя на директните резервации и да изградят по-здрави взаимоотношения с гостите.

Започнете безплатна пробна версия на 14-дневна версия